services:
  _defaults:
    autoconfigure: true
  Violution\VioValensinaProducts\ContentElements\ProductBox:
    tags:
      - { name: contao.content_element, category: vio_valensina, template: 'ce_product_box' }
    arguments:
      - '@Violution\VioValensina\Service\ImageService'

  Violution\VioValensinaProducts\ContentElements\ProductDetail:
    tags:
      - { name: contao.content_element, category: vio_valensina, template: 'ce_product_details' }
    arguments:
      - '@Violution\VioValensina\Service\ImageService'
      - '@contao.routing.content_url_generator'
      - '@contao.csrf.token_manager'

  Violution\VioValensinaProducts\ContentElements\ProductNavigation:
    tags:
      - { name: contao.content_element, category: vio_valensina, template: 'ce_brand_nav' }
    arguments:
      - '@contao.routing.content_url_generator'

  Violution\VioValensinaProducts\EventListener\ValensinaAliasSaveCallback:
    tags:
      - { name: contao.callback, table: tl_valensina_brand, target: fields.alias.save,  priority: 100 }